/**
   Solutie O(n log n) - cautare binara
*/
#include <iostream>
#include <algorithm>
using namespace std;

const int NMax = 200005, Inf = 1 << 30;

int a[NMax], n;

int CautBin(int start);

int main()
{
    cin >> n;
    for (int i = 1; i <= n; i++)
        cin >> a[i];

    // sume partiale
    for (int i = 2; i <= n; i++)
        a[i] += a[i - 1];

	 int j, difmin, P, Q, X, Y, Z, d;
    // pentru fiecare i=1..n-2 caut binar pozitia lui j
    P = 1; Q = 2;
    X = a[1]; Y = a[2] - a[1]; Z = a[n] - a[2];
    difmin = max({X, Y, Z}) - min({X, Y, Z});
    
    for (int i = 1; i <= n - 2; i++)
    {
        j = CautBin(i + 1);
        X = a[i];
        Y = a[j] - a[i];
        Z = a[n] - a[j];
        d = max({X, Y, Z}) - min({X, Y, Z});
        if (d < difmin)
        {
            difmin = d;
            P = i; Q = j;
        }
    }

    cout << P << " " << Q << "\n";

    return 0;
}


int CautBin(int start)
{
    int j, mid, s1, s2, st, dr, dif = Inf;
    st = start; j = dr = n - 1;
    while (st <= dr)
    {
        mid = (st + dr) / 2;
        s1 = a[mid] - a[start - 1];
        s2 = a[n] - a[mid];
        if (s1 < s2)
        {
            if (dif > s2 - s1)
            {
                dif = s2 - s1;
                j = mid;
            }
            st = mid + 1;
        }
        else
        {
            if (dif > s1 - s2)
            {
                dif = s1 - s2;
                j = mid;
            }
            dr = mid - 1;
        }
    }
    return j;
}
